function Create(self)
	local Mo = MovableMan:GetRootMOID(SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y))
	if Mo then
		local Parent = MovableMan:GetMOFromID(Mo)
		if Parent then
			if not gMultiShot then
				gMultiShot = {}
			end
			
			if not gMultiShot[Parent.ID] then
				gMultiShot[Parent.ID] = {}
				gMultiShot[Parent.ID].rnd = 1
				gMultiShot[Parent.ID].recoil = 0.005
				gMultiShot[Parent.ID].Time = Timer()
			else
				if gMultiShot[Parent.ID].Time:IsPastSimMS(333) then
					gMultiShot[Parent.ID].recoil = 0.005
				else
					gMultiShot[Parent.ID].recoil = math.min(gMultiShot[Parent.ID].recoil + 0.02, 0.3)
				end
				
				gMultiShot[Parent.ID].Time:Reset()
			end
			
			local ang = ToActor(Parent):GetAimAngle(true)
			local Pt = nil
			if gMultiShot[Parent.ID].rnd == 1 then
				Pt = CreateMOSParticle("MultiShot L", "MultiShot.rte")
				gMultiShot[Parent.ID].rnd = 2
			elseif gMultiShot[Parent.ID].rnd == 2 then
				Pt = CreateMOSParticle("MultiShot U", "MultiShot.rte")
				gMultiShot[Parent.ID].rnd = 3
			else
				Pt = CreateMOSParticle("MultiShot A", "MultiShot.rte")
				gMultiShot[Parent.ID].rnd = 1
			end
			
			if Pt then
				Pt.Pos = self.Pos + Vector(5,0):RadRotate(ang)
				Pt.Vel = Parent.Vel + Vector(20,0):RadRotate(ang + RangeRand(-gMultiShot[Parent.ID].recoil, gMultiShot[Parent.ID].recoil))
				MovableMan:AddParticle(Pt)
			end
			
			-- Spawn a muzzle flash here
		end
	end
	
	self.ToDelete = true
end